Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/clients/details/clientDetailsCtrl.js
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/clients/details/clientDetailsCtrl.js	(revision 12550)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/clients/details/clientDetailsCtrl.js	(revision 12551)
@@ -4,4 +4,6 @@
         ['$scope', '$stateParams', '$interval', 'app.statistics.clientService', 'app.statistics.taskService', '$modal',
         function ($scope, $stateParams, $interval, clientService, taskService, $modal) {
+            $scope.curUserId = '00000000-0000-0000-0000-000000000000';
+            $scope.curUserName = 'All Users';
             $scope.interval = defaultPageUpdateInterval;
             $scope.curTaskPage = 1;
@@ -33,16 +35,7 @@
                 clientService.getClientDetails({ id: $stateParams.id }, function (client) {
                     $scope.client = client;
-                    $scope.client.TotalMemory = Math.round($scope.client.TotalMemory / 1024);
-                    $scope.client.UsedMemory = Math.round($scope.client.UsedMemory / 1024);
                     $scope.knobData.cores = (client.UsedCores / client.TotalCores) * 100;
                     $scope.knobData.cpu = client.CpuUtilization;
                     $scope.knobData.memory = (client.UsedMemory / client.TotalMemory) * 100;
-                    $scope.client.LastUpdate = CSharpDateToString($scope.client.LastUpdate);
-                    $scope.client.UpTime = $scope.client.UpTime.toHHMMSS();
-                    $scope.client.TotalUnavailableTime = $scope.client.TotalUnavailableTime.toHHMMSS();
-                    $scope.client.TotalCalculatingTime = $scope.client.TotalCalculatingTime.toHHMMSS();
-                    $scope.client.TotalIdleTime = $scope.client.TotalIdleTime.toHHMMSS();
-                    $scope.client.TotalOfflineTime = $scope.client.TotalOfflineTime.toHHMMSS();
-                    $scope.client.TotalTransferringTime = $scope.client.TotalTransferringTime.toHHMMSS();
 
                     var length = client.TasksStates.length;
@@ -84,27 +77,7 @@
                 }
 
-                taskService.getTasksByClientId({ id: $stateParams.id, page: $scope.curTaskPage, size: $scope.taskPageSize }, states,
+                taskService.getTasksByClientId({ id: $stateParams.id, page: $scope.curTaskPage, size: $scope.taskPageSize, userId: $scope.curUserId }, states,
                     function (taskPage) {
                         $scope.taskPage = taskPage;
-                        var length = $scope.taskPage.Tasks.length;
-                        for (var i = 0; i < length; ++i) {
-                            $scope.taskPage.Tasks[i].TotalTime = $scope.taskPage.Tasks[i].TotalTime.toHHMMSS();
-                            $scope.taskPage.Tasks[i].InitialWaitingTime = $scope.taskPage.Tasks[i].InitialWaitingTime.toHHMMSS();
-                            $scope.taskPage.Tasks[i].WaitingTime = $scope.taskPage.Tasks[i].WaitingTime.toHHMMSS();
-                            $scope.taskPage.Tasks[i].CalculatingTime = $scope.taskPage.Tasks[i].CalculatingTime.toHHMMSS();
-                            $scope.taskPage.Tasks[i].TransferTime = $scope.taskPage.Tasks[i].TransferTime.toHHMMSS();
-                            var startTime = $scope.taskPage.Tasks[i].StartTime;
-                            if (isDefined(startTime)) {
-                                $scope.taskPage.Tasks[i].StartTime = CSharpDateToString(startTime);
-                            } else {
-                                $scope.taskPage.Tasks[i].StartTime = 'Not started';
-                            }
-                            var endTime = $scope.taskPage.Tasks[i].EndTime;
-                            if (isDefined(endTime)) {
-                                $scope.taskPage.Tasks[i].EndTime = CSharpDateToString(endTime);
-                            } else {
-                                $scope.taskPage.Tasks[i].EndTime = 'Not finished';
-                            }
-                        }
                     }
                 );
@@ -121,4 +94,10 @@
                 state.Selected = !state.Selected;
                 $scope.curTaskPage = 1;
+                getClientDetails();
+            };
+
+            $scope.userChanged = function(id, name) {
+                $scope.curUserId = id;
+                $scope.curUserName = name;
                 getClientDetails();
             };
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/clients/details/clientTaskDetailsDialog.cshtml
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/clients/details/clientTaskDetailsDialog.cshtml	(revision 12550)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/clients/details/clientTaskDetailsDialog.cshtml	(revision 12551)
@@ -14,9 +14,11 @@
                             <tr>
                                 <td>Start Time:</td>
-                                <td class="text-right">{{task.StartTime}}</td>
+                                <td ng-show="task.StartTime" class="text-left">{{task.StartTime | toDate}}</td>
+                                <td ng-hide="task.StartTime" class="text-left">Not started</td>
                             </tr>
                             <tr>
                                 <td>End Time:</td>
-                                <td class="text-right">{{task.EndTime}}</td>
+                                <td ng-show="task.EndTime" class="text-left">{{task.EndTime | toDate}}</td>
+                                <td ng-hide="task.EndTime" class="text-left">Not finished</td>
                             </tr>
                             <tr>
@@ -58,21 +60,21 @@
                             <tr>
                                 <td>Total Time:</td>
-                                <td>{{task.TotalTime}}</td>
+                                <td>{{task.TotalTime | toTimespan}}</td>
                             </tr>
                             <tr>
                                 <td>Initial Waiting Time:</td>
-                                <td>{{task.InitialWaitingTime}}</td>
+                                <td>{{task.InitialWaitingTime | toTimespan}}</td>
                             </tr>
                             <tr>
                                 <td>Waiting Time:</td>
-                                <td>{{task.WaitingTime}}</td>
+                                <td>{{task.WaitingTime | toTimespan}}</td>
                             </tr>
                             <tr>
                                 <td>Calculating Time:</td>
-                                <td>{{task.CalculatingTime}}</td>
+                                <td>{{task.CalculatingTime | toTimespan}}</td>
                             </tr>
                             <tr>
                                 <td>Transfer Time:</td>
-                                <td>{{task.TransferTime}}</td>
+                                <td>{{task.TransferTime | toTimespan}}</td>
                             </tr>
                         </table>
@@ -82,21 +84,21 @@
                             <tr>
                                 <td>Calculation Runs:</td>
-                                <td>{{task.NumCalculationRuns}}</td>
+                                <td class="text-right">{{task.NumCalculationRuns}}</td>
                             </tr>
                             <tr>
                                 <td>Retries Runs:</td>
-                                <td>{{task.NumRetries}}</td>
+                                <td class="text-right">{{task.NumRetries}}</td>
                             </tr>
                             <tr>
                                 <td>Cores Required:</td>
-                                <td>{{task.CoresRequired}}</td>
+                                <td class="text-right">{{task.CoresRequired}}</td>
                             </tr>
                             <tr>
                                 <td>Memory Required:</td>
-                                <td>{{task.MemoryRequired}}</td>
+                                <td class="text-right">{{task.MemoryRequired}} MB</td>
                             </tr>
                             <tr>
                                 <td>Priority:</td>
-                                <td>{{task.Priority}}</td>
+                                <td class="text-right">{{task.Priority}}</td>
                             </tr>
                         </table>
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/groups/details/groupDetails.cshtml
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/groups/details/groupDetails.cshtml	(revision 12550)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/groups/details/groupDetails.cshtml	(revision 12551)
@@ -16,5 +16,10 @@
         <li class="active">
             <a ng-href="#/statistics/groups">Groups</a>
-        </li>
+        </li> 
+        @if (Request.IsAuthenticated && User.IsInRole(HiveRoles.Administrator)) {
+            <li>
+                <a ng-href="#/statistics/exceptions">Exceptions</a>
+            </li>
+        }
     </ul>
 </header>
@@ -22,5 +27,5 @@
 <div class="default-view-container">
     <div class="row">
-        <div class="col-lg-12">
+        <div class="col-lg-9">
             <div class="panel panel-default">
                 <div class="panel-heading">
@@ -29,5 +34,5 @@
                 <div class="panel-body">
                     <div class="row">
-                        <div class="col-md-5">
+                        <div class="col-md-6">
                             <table class="table table-no-border table-condensed table-auto-width table-content">
                                 <tr>
@@ -37,39 +42,128 @@
                                 <tr>
                                     <td class="text-left">Clients:</td>
-                                    <td class="text-right">{{group.Clients}}</td>
-                                </tr>
-                                <tr>
-                                    <td class="text-left">Cpu Utilization:</td>
-                                    <td class="text-right">{{group.CpuUtilization | number: 2}} %</td>
+                                    <td class="text-right">{{group.OnlineClients}} / {{group.TotalClients}}</td>
                                 </tr>
                             </table>
                         </div>
-                        <div class="col-md-5">
+                        <div class="col-md-6">
                             <table class="table table-no-border table-condensed table-auto-width table-content">
                                 <tr>
-                                    <td class="text-left">TotalCores:</td>
-                                    <td class="text-right">{{group.TotalCores}}</td>
-                                </tr>
-                                <tr>
-                                    <td class="text-left">UsedCores:</td>
-                                    <td class="text-right">{{group.UsedCores}}</td>
-                                </tr>
-                                <tr>
-                                    <td class="text-left">Total Memory:</td>
-                                    <td class="text-right">{{group.TotalMemory}}</td>
-                                </tr>
-                                <tr>
-                                    <td class="text-left">Used Memory:</td>
-                                    <td class="text-right">{{group.UsedMemory}}</td>
+                                    <td class="text-left">Total Unavailable Time:</td>
+                                    <td class="text-right">{{group.TotalUnavailableTime | toTimespan}}</td>
+                                </tr>
+                                <tr>
+                                    <td class="text-left">Total Calculating Time:</td>
+                                    <td class="text-right">{{group.TotalCalculatingTime | toTimespan}}</td>
+                                </tr>
+                                <tr>
+                                    <td class="text-left">Total Idle Time:</td>
+                                    <td class="text-right">{{group.TotalIdleTime | toTimespan}}</td>
+                                </tr>
+                                <tr>
+                                    <td class="text-left">Total Transferring Time:</td>
+                                    <td class="text-right">{{group.TotalTransferringTime | toTimespan}}</td>
+                                </tr>
+                                <tr>
+                                    <td class="text-left">Total Offline Time:</td>
+                                    <td class="text-right">{{group.TotalOfflineTime | toTimespan}}</td>
                                 </tr>
                             </table>
                         </div>
-
-                        <div class="col-md-2"></div>
-                    </div>
+                    </div>
+                </div>
+            </div>
+        </div>
+        <div class="col-lg-3 col-md-6">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">Tasks Overview</h3>
+                </div>
+                <div class="panel-body">
+                    <table class="table table-no-border table-condensed table-auto-width table-content">
+                        <tr>
+                            <td class="text-left">Total:</td>
+                            <td class="text-right">{{totalGroupTasks}}</td>
+                        </tr>
+                        <tr ng-repeat="state in group.TasksStates">
+                            <td class="text-left">{{state.State}}:</td>
+                            <td class="text-right">{{state.Count}}</td>
+                        </tr>
+                    </table>
                 </div>
             </div>
         </div>
     </div>
+
+    <div class="row">
+        <div class="col-lg-3 col-md-6">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">Cores</h3>
+                </div>
+                <div class="panel-body">
+                    <div class="text-center">
+                        <knob knob-data="knobData.cores" knob-options="knobOptions"></knob>
+                    </div>
+                    <table class="table table-no-border table-condensed table-auto-width table-content">
+                        <tr>
+                            <td class="text-left">Total:</td>
+                            <td class="text-right">{{group.TotalCores | number}}</td>
+                        </tr>
+                        <tr>
+                            <td class="text-left">Used:</td>
+                            <td class="text-right">{{group.UsedCores | number}}</td>
+                        </tr>
+                    </table>
+                </div>
+            </div>
+        </div>
+
+        <div class="col-lg-3 col-md-6">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">CPU Utilization</h3>
+                </div>
+                <div class="panel-body">
+                    <div class="text-center">
+                        <knob knob-data="knobData.cpu" knob-options="knobOptions"></knob>
+                    </div>
+                    <table class="table table-no-border table-condensed table-auto-width table-content">
+                        <tr>
+                            <td class="text-left">Total:</td>
+                            <td class="text-right">{{group.TotalCpuUtilization | number: 2}} %</td>
+                        </tr>
+                        <tr>
+                            <td class="text-left">Active:</td>
+                            <td class="text-right">{{group.ActiveCpuUtilization | number: 2}} %</td>
+                        </tr>
+                    </table>
+                </div>
+            </div>
+        </div>
+
+        <div class="col-lg-3 col-md-6">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">Memory</h3>
+                </div>
+                <div class="panel-body">
+                    <div class="text-center">
+                        <knob knob-data="knobData.memory" knob-options="knobOptions"></knob>
+                    </div>
+                    <table class="table table-no-border table-condensed table-auto-width table-content">
+                        <tr>
+                            <td class="text-left">Total:</td>
+                            <td class="text-right">{{group.TotalMemory | kbToGB}} GB</td>
+                        </tr>
+                        <tr>
+                            <td class="text-left">Used:</td>
+                            <td class="text-right">{{group.UsedMemory | kbToGB}} GB</td>
+                        </tr>
+                    </table>
+                </div>
+            </div>
+        </div>
+    </div>
+
     <div class="row">
         <div class="col-lg-12">
@@ -86,4 +180,5 @@
                                 <th>Cores</th>
                                 <th>Cpu Utilization</th>
+                                <th>Memory</th>
                                 <th>State</th>
                                 <th></th>
@@ -95,4 +190,5 @@
                             <td>{{client.UsedCores}} / {{client.TotalCores}}</td>
                             <td>{{client.CpuUtilization | number: 2}} %</td>
+                            <td>{{client.UsedMemory | kbToGB}} / {{client.TotalMemory | kbToGB}}</td>
                             <td>{{client.State}}</td>
                             <td>
@@ -101,5 +197,5 @@
                         </tr>
                         <tr ng-hide="clientPage.Clients.length">
-                            <td colspan="6" class="text-center">No clients found!</td>
+                            <td colspan="7" class="text-center">No clients found!</td>
                         </tr>
                     </table>
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/groups/details/groupDetailsCtrl.js
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/groups/details/groupDetailsCtrl.js	(revision 12550)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/groups/details/groupDetailsCtrl.js	(revision 12551)
@@ -8,7 +8,40 @@
             $scope.clientsPageSize = 20;
 
+
+            // details
+            $scope.knobOptions = {
+                'fgColor': "#f7921d",
+                'angleOffset': -125,
+                'angleArc': 250,
+                'readOnly': true,
+                'width': "80%",
+                'targetvalue': "100",
+                'format': function (value) {
+                    return value;
+                },
+                draw: function () {
+                    $(this.i).val(this.cv + '%');
+                }
+            };
+
+            $scope.knobData = {
+                cores: 0,
+                cpu: 0,
+                memory: 0
+            };
+
             var getGroupDetails = function() {
                 groupService.getGroupDetails({ id: $stateParams.id }, function (group) {
                     $scope.group = group;
+                    $scope.knobData.cores = (group.UsedCores / group.TotalCores) * 100;
+                    $scope.knobData.cpu = group.ActiveCpuUtilization;
+                    $scope.knobData.memory = (group.UsedMemory / group.TotalMemory) * 100;
+
+                    var length = group.TasksStates.length;
+                    var total = 0;
+                    for (var i = 0; i < length; ++i) {
+                        total += group.TasksStates[i].Count;
+                    }
+                    $scope.totalGroupTasks = total;
                 });
             };
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/groups/groups.cshtml
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/groups/groups.cshtml	(revision 12550)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/groups/groups.cshtml	(revision 12551)
@@ -16,5 +16,10 @@
         <li class="active">
             <a ng-href="#/statistics/groups">Groups</a>
-        </li>
+        </li> 
+        @if (Request.IsAuthenticated && User.IsInRole(HiveRoles.Administrator)) {
+            <li>
+                <a ng-href="#/statistics/exceptions">Exceptions</a>
+            </li>
+        }
     </ul>
 </header>
@@ -35,4 +40,5 @@
                             <th>Cores</th>
                             <th>Cpu Utilization</th>
+                            <th>Memory</th>
                             <th>Clients</th>
                             <th></th>
@@ -44,5 +50,6 @@
                             <td>{{group.UsedCores}} / {{group.TotalCores}}</td>
                             <td>{{group.CpuUtilization | number: 2}} %</td>
-                            <td>{{group.Clients}}</td>
+                            <td>{{group.UsedMemory | kbToGB}} / {{group.TotalMemory | kbToGB}} GB</td>
+                            <td>{{group.OnlineClients}} / {{group.TotalClients}}</td>
                             <td>
                                 <a ng-href="#/statistics/groups/{{group.Id}}">Details</a>
@@ -50,5 +57,5 @@
                         </tr>
                         <tr ng-hide="groupPage.Groups.length">
-                            <td colspan="6" class="text-center">No groups found!</td>
+                            <td colspan="7" class="text-center">No groups found!</td>
                         </tr>
                     </table>
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/details/jobDetails.cshtml
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/details/jobDetails.cshtml	(revision 12550)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/details/jobDetails.cshtml	(revision 12551)
@@ -17,4 +17,9 @@
             <a ng-href="#/statistics/groups">Groups</a>
         </li>
+        @if (Request.IsAuthenticated && User.IsInRole(HiveRoles.Administrator)) {
+            <li>
+                <a ng-href="#/statistics/exceptions">Exceptions</a>
+            </li>
+        }
     </ul>
 </header>
@@ -37,9 +42,10 @@
                                 <tr>
                                     <td class="text-left">Created at:</td>
-                                    <td>{{job.DateCreated}}</td>
+                                    <td>{{job.DateCreated | toDate}}</td>
                                 </tr>
                                 <tr>
                                     <td class="text-left">Completed at:</td>
-                                    <td>{{job.DateCompleted}}</td>
+                                    <td ng-show="job.DateCompleted">{{job.DateCompleted | toDate}}</td>
+                                    <td ng-hide="job.DateCompleted">Not completed yet</td>
                                 </tr>
                                 @if (Request.IsAuthenticated && User.IsInRole(HiveRoles.Administrator)) {
@@ -61,13 +67,13 @@
                                 <tr>
                                     <td class="text-left">Total Time:</td>
-                                    <td class="text-right">{{job.TotalTime}}</td>
+                                    <td class="text-right">{{job.TotalTime | toTimespan}}</td>
                                 </tr>
                                 <tr>
                                     <td class="text-left">Total Calculating Time:</td>
-                                    <td class="text-right">{{job.TotalCalculatingTime}}</td>
+                                    <td class="text-right">{{job.TotalCalculatingTime | toTimespan}}</td>
                                 </tr>
                                 <tr>
                                     <td class="text-left">Total Waiting Time:</td>
-                                    <td class="text-right">{{job.TotalWaitingTime}}</td>
+                                    <td class="text-right">{{job.TotalWaitingTime | toTimespan}}</td>
                                 </tr>
                                 <tr>
@@ -81,17 +87,17 @@
                                 <tr>
                                     <td class="text-left">Min Calculating Time:</td>
-                                    <td class="text-right">{{job.MinCalculatingTime}}</td>
+                                    <td class="text-right">{{job.MinCalculatingTime | toTimespan}}</td>
                                 </tr>
                                 <tr>
                                     <td class="text-left">Max Calculating Time:</td>
-                                    <td class="text-right">{{job.MaxCalculatingTime}}</td>
+                                    <td class="text-right">{{job.MaxCalculatingTime | toTimespan}}</td>
                                 </tr>
                                 <tr>
                                     <td class="text-left">Avg. Calculating Time:</td>
-                                    <td class="text-right">{{job.AvgCalculatingTime}}</td>
+                                    <td class="text-right">{{job.AvgCalculatingTime | toTimespan}}</td>
                                 </tr>
                                 <tr>
                                     <td class="text-left">Avg. Transferring Time:</td>
-                                    <td class="text-right">{{job.AvgTransferringTime}}</td>
+                                    <td class="text-right">{{job.AvgTransferringTime | toTimespan}}</td>
                                 </tr>
                             </table>
@@ -158,13 +164,15 @@
                         <tr>
                             <td>Start Time:</td>
-                            <td class="text-right">{{task.StartTime}}</td>
+                            <td ng-show="task.StartTime" class="text-right">{{task.StartTime | toDate}}</td>
+                            <td ng-hide="task.StartTime" class="text-right">Not started</td>
                         </tr>
                         <tr>
                             <td>End Time:</td>
-                            <td class="text-right">{{task.EndTime}}</td>
+                            <td ng-show="task.EndTime" class="text-right">{{task.EndTime | toDate}}</td>
+                            <td ng-hide="task.EndTime" class="text-right">Not finished</td>
                         </tr>
                         <tr>
                             <td>Calculating Time:</td>
-                            <td class="text-right">{{task.CalculatingTime}}</td>
+                            <td class="text-right">{{task.CalculatingTime | toTimespan}}</td>
                         </tr>
                         <tr>
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/details/jobDetailsCtrl.js
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/details/jobDetailsCtrl.js	(revision 12550)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/details/jobDetailsCtrl.js	(revision 12551)
@@ -11,18 +11,5 @@
                 jobService.getJobDetails({ id: $stateParams.id }, function (job) {
                     $scope.job = job;
-                    $scope.job.DateCreated = CSharpDateToString($scope.job.DateCreated);
-                    if (isDefined($scope.job.DateCompleted)) {
-                        $scope.job.DateCompleted = CSharpDateToString($scope.job.DateCompleted);
-                    } else {
-                        $scope.job.DateCompleted = 'Not completed yet';
-                    }
                     $scope.job.CalculatingWaitingRatio = ($scope.job.TotalCalculatingTime / $scope.job.TotalWaitingTime);
-                    $scope.job.AvgTransferringTime = $scope.job.AvgTransferringTime.toHHMMSS();
-                    $scope.job.AvgCalculatingTime = $scope.job.AvgCalculatingTime.toHHMMSS();
-                    $scope.job.MinCalculatingTime = $scope.job.MinCalculatingTime.toHHMMSS();
-                    $scope.job.MaxCalculatingTime = $scope.job.MaxCalculatingTime.toHHMMSS();
-                    $scope.job.TotalCalculatingTime = $scope.job.TotalCalculatingTime.toHHMMSS();
-                    $scope.job.TotalWaitingTime = $scope.job.TotalWaitingTime.toHHMMSS();
-                    $scope.job.TotalTime = $scope.job.TotalTime.toHHMMSS();
 
                     var length = job.TasksStates.length;
@@ -66,24 +53,4 @@
                     function (taskPage) {
                         $scope.taskPage = taskPage;
-                        var length = $scope.taskPage.Tasks.length;
-                        for (var i = 0; i < length; ++i) {
-                            $scope.taskPage.Tasks[i].TotalTime = $scope.taskPage.Tasks[i].TotalTime.toHHMMSS();
-                            $scope.taskPage.Tasks[i].InitialWaitingTime = $scope.taskPage.Tasks[i].InitialWaitingTime.toHHMMSS();
-                            $scope.taskPage.Tasks[i].WaitingTime = $scope.taskPage.Tasks[i].WaitingTime.toHHMMSS();
-                            $scope.taskPage.Tasks[i].CalculatingTime = $scope.taskPage.Tasks[i].CalculatingTime.toHHMMSS();
-                            $scope.taskPage.Tasks[i].TransferTime = $scope.taskPage.Tasks[i].TransferTime.toHHMMSS();
-                            var startTime = $scope.taskPage.Tasks[i].StartTime;
-                            if (isDefined(startTime)) {
-                                $scope.taskPage.Tasks[i].StartTime = CSharpDateToString(startTime);
-                            } else {
-                                $scope.taskPage.Tasks[i].StartTime = 'Not started';
-                            }
-                            var endTime = $scope.taskPage.Tasks[i].EndTime;
-                            if (isDefined(endTime)) {
-                                $scope.taskPage.Tasks[i].EndTime = CSharpDateToString(endTime);
-                            } else {
-                                $scope.taskPage.Tasks[i].EndTime = 'Not finished';
-                            }
-                        }
                     }
                 );
